net.corda.client.fxutils

## Class LeftOuterJoinedMap<K,A,B,C>

- ReadOnlyBackedObservableMapBase
- - net.corda.client.fxutils.LeftOuterJoinedMap<K,A,B,C>

-     public class LeftOuterJoinedMap<K,A,B,C>
      extends ReadOnlyBackedObservableMapBase

  `class LeftOuterJoinedMap` implements a special case of a left outer join where we're matching on primary keys of both tables.

  See Also:
    `class LeftOuterJoinedMap`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeftOuterJoinedMap(javafx.collections.ObservableMap<K,? extends A> leftTable, javafx.collections.ObservableMap<K,? extends B> rightTable, kotlin.jvm.functions.Function3<? super K,? super A,? super javafx.beans.value.ObservableValue<B>,? extends C> assemble)` `class LeftOuterJoinedMap` implements a special case of a left outer join where we're matching on primary keys of both tables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.collections.ObservableMap<K,? extends A>` | `getLeftTable()`
    `javafx.collections.ObservableMap<K,? extends B>` | `getRightTable()`

    - ### Methods inherited from class net.corda.client.fxutils.ReadOnlyBackedObservableMapBase

      `addListener, addListener, clear, containsKey, containsValue, entrySet, fireChange, get, getBackingMap, getEntries, getKeys, getSize, getValues, isEmpty, keySet, put, putAll, remove, removeListener, removeListener, size, values`

- - ### Constructor Detail

    - #### LeftOuterJoinedMap

          public LeftOuterJoinedMap(javafx.collections.ObservableMap<K,? extends A> leftTable,
                                    javafx.collections.ObservableMap<K,? extends B> rightTable,
                                    kotlin.jvm.functions.Function3<? super K,? super A,? super javafx.beans.value.ObservableValue<B>,? extends C> assemble)

      `class LeftOuterJoinedMap` implements a special case of a left outer join where we're matching on primary keys of both tables.

      See Also:
        `class LeftOuterJoinedMap`

  - ### Method Detail

    - #### getLeftTable

          public javafx.collections.ObservableMap<K,? extends A> getLeftTable()

    - #### getRightTable

          public javafx.collections.ObservableMap<K,? extends B> getRightTable()